
<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: theme.php
| Author: JoiNNN
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
 Theme version: v2
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

//Render News
function render_news($subject, $news, $info) {
global $locale, $settings, $aidlink; $res = "";



	// Title as link to extended news
	$subject = preg_replace("/<a name='news_([0-9]+)' id='news_([0-9]+)'><\/a>/i", '', $subject);
	if (!isset($_GET['readmore'])) {
		$subject = "<a href='".BASEDIR."news.php?readmore=".$info['news_id']."'>".$subject."</a>";
	}
	// Breaking news
	$breaking_news_time = 156600; //Breaking News Time (1 Hour/60 Mins/3600 Seconds)
	if (time()-$info['news_date'] < $breaking_news_time) {
		$subject = "<span class='breaking-news tag big red'>".$locale['breaking_news']."</span> ".$subject;
	}
	// Sticky news
	if ($info['news_sticky'] == 1) {
		$subject = "<i class='sticky-news icon-pin' title='".$locale['sticky']."'></i> ".$subject;}
opentable($subject, "post");

	echo "<ul class='item-info news-info clearfix'>\n";

		//Author
	echo "<i class='fa fa-user' alt='".$locale['global_070']." ".$info['user_name']."'  title='".$locale['global_070'].$info['user_name']."' /> ".profile_link($info['user_id'], $info['user_name'], $info['user_status'])."</i>\n";
	//Date
echo "<i class='fa fa-clock-o' alt='".$locale['global_082']." ".$info['newsdate']."'  title='".$locale['global_082'].$info['newsdate']."' />".showdate("newsdate", $info['news_date'])."</i>\n";

	//Reads
	if ($info['news_ext'] == "y" || ($info['news_allow_comments'] && $settings['comments_enabled'] == "1")) {
	echo "<i class='fa fa-file-text-o'>\n";
		echo $info['news_reads'].$locale['global_074']; 
	echo "</i>\n";}
	//Comments
	if ($info['news_allow_comments'] && $settings['comments_enabled'] == "1") { echo "<i class='fa fa-comments-o'><a ".(isset($_GET['readmore']) ? "class='scroll'" : "")." href='".BASEDIR."news.php?readmore=".$info['news_id']."#comments'>".$info['news_comments']."".($info['news_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."</a></i>\n"; }
	
	//Category
	echo "<li class='fa fa-folder-o' alt='".$locale['global_081']."' title='".$locale['global_081']."'/>\n";
		if ($info['cat_id']) {
			echo "<a href='".BASEDIR."news_cats.php?cat_id=".$info['cat_id']."'>".$info['cat_name']."</a>\n";
		} else {
			echo "<a href='".BASEDIR."news_cats.php?cat_id=0'>".$locale['global_081']."</a>";
		}
	
echo "</li>\n";


 //print
 echo "<div class='flright clearfix'>\n";
echo "<span class='print'><a href='print.php?type=N&amp;item_id=".$info['news_id']."'><img src='".get_image("printer")."' alt='".$locale['global_075']."' title='".$locale['global_075']."' width='18' height='14' style='border:0;' /></a></span>\n";

//Edit News
	         if (iADMIN && checkrights("N")) {
          echo " <a href='".ADMIN."news.php".$aidlink."&amp;action=edit&amp;news_id=".$info['news_id']."'><img src='".get_image("edit")."' alt='".$locale['global_076']."' title='".$locale['global_076']."' border='0' /></a>\n";
	            }
	
echo "</ul>\n";
	
//The message

	//Time in news
 echo "<div class='floatfix'>".($info['cat_image'].$news)."</div>\n";
//Read more button



	if (!isset($_GET['readmore']) && $info['news_ext'] == "y") {
		echo "<div class='readmore flright'><a href='".BASEDIR."news.php?readmore=".$info['news_id']."' class='news-button'>".$locale['global_072']."<span class='arrow-right'></span></a></div>\n";
}
 	if (!isset($_GET['']) && $info['news_ext'] == "y") {

}


echo "<!--news_id-".$info['news_id']."_end-->";


	closetable();

}

//Render Articles
function render_article($subject, $article, $info, $item_type, $item_id) {
global $locale, $settings, $aidlink; $res = "";
	opentable($subject, "article");
	echo "<ul class='item-info article-info'>\n";
	//Author
	echo "<i class='fa fa-user'>".profile_link($info['user_id'], $info['user_name'], $info['user_status'])."</i>\n";
	//Date
	echo "<i class='fa fa-clock-o'>".showdate("newsdate", $info['article_date'])."</i>\n";
	//Category
	echo "<li class='fa fa-folder-o'>\n";
		if ($info['cat_id']) {
			echo "<a href='".BASEDIR."articles.php?cat_id=".$info['cat_id']."'>".$info['cat_name']."</a>";
		} else {
			echo "<a href='".BASEDIR."articles.php?cat_id=0'>".$locale['global_080']."</a>";
		}
	echo "</li>\n";
	//Reads
	echo "<li class='fa fa-file-text-o'>".$info['article_reads'].$locale['global_074']."</li>\n";
	//Comments
	if ($info['article_allow_comments'] && $settings['comments_enabled'] == "1") { echo "<i class='fa fa-comments-o'><a class='scroll' href='".BASEDIR."articles.php?article_id=".$info['article_id']."#comments'>".$info['article_comments'].($info['article_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."</a></i>\n"; }

 //print
echo "<div class='flright clearfix'>\n
<span class='print'><a href='print.php?type=A&amp;item_id=".$info['article_id']."'><img src='".get_image("printer")."' alt='".$locale['global_075']."' title='".$locale['global_075']."' width='18' height='14' style='border:0;' /></a></span>\n";

 //Edit Articles
if (iADMIN && checkrights("A")) {
echo "<a href='".ADMIN."articles.php".$aidlink."&amp;action=edit&amp;article_id=".$info['article_id']."'><img src='".get_image("edit")."' alt='".$locale['global_076']."' title='".$locale['global_076']."' border='0' /></a>\n";
             	}
 	echo "</ul>\n";
	//The message
	echo ($info['article_breaks'] == "y" ? nl2br($article) : $article)."\n";
	echo "<!--article_id-".$info['article_id']."_end-->";




	closetable();
echo "<div class='floatfix entry'></div>\n";

}            	
             	